List pronunciation dictionaries
List all pronunciation dictionaries for the authenticated organization. Results are paginated using offset-based pagination.
GET
/
pronunciation_dicts
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const pronunciationDictData of client.pronunciationDicts.list()) {
console.log(pronunciationDictData.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.pronunciation_dicts.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PronunciationDicts.List(context.TODO(), telnyx.PronunciationDictListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictListPage;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PronunciationDictListPage page = client.pronunciationDicts().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.pronunciation_dicts.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->pronunciationDicts->list(pageNumber: 1, pageSize: 1);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/pronunciation_dicts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "pronunciation_dict",
"id": "c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
"name": "Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
],
"version": 1,
"created_at": "2026-03-25T12:00:00.000Z",
"updated_at": "2026-03-25T12:00:00.000Z"
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_results": 3,
"total_pages": 1
}
}{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}Authorizations
Telnyx API v2 key. Obtain from https://portal.telnyx.com
Query Parameters
Page number (1-based). Defaults to 1.
Required range:
x >= 1Number of results per page. Defaults to 20, maximum 250.
Required range:
1 <= x <= 250Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const pronunciationDictData of client.pronunciationDicts.list()) {
console.log(pronunciationDictData.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.pronunciation_dicts.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PronunciationDicts.List(context.TODO(), telnyx.PronunciationDictListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictListPage;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PronunciationDictListPage page = client.pronunciationDicts().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.pronunciation_dicts.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->pronunciationDicts->list(pageNumber: 1, pageSize: 1);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/pronunciation_dicts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "pronunciation_dict",
"id": "c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
"name": "Brand Names",
"items": [
{
"text": "Telnyx",
"type": "alias",
"alias": "tel-nicks"
}
],
"version": 1,
"created_at": "2026-03-25T12:00:00.000Z",
"updated_at": "2026-03-25T12:00:00.000Z"
}
],
"meta": {
"page_number": 1,
"page_size": 20,
"total_results": 3,
"total_pages": 1
}
}{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}